rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
MacroBuf_s Struct Reference

Macro expansion state. More...

## Data Fields
const char * | s
char * | t
size_t | nb
int | depth
int | macro_trace
int | expand_trace
void * | spec
MacroContext | mc

## Detailed Description

Macro expansion state.

Definition at line 120 of file macro.c.

## Field Documentation

int MacroBuf_s::depth

Current expansion depth.

Definition at line 126 of file macro.c.

Referenced by expandMacro(), expandMacros(), freeArgs(), grabArgs(), printExpansion(), and printMacro().

int MacroBuf_s::expand_trace

Post-print macro expansion?

Definition at line 128 of file macro.c.

Referenced by expandMacro(), and expandMacros().

int MacroBuf_s::macro_trace

Pre-print macro to expand?

Definition at line 127 of file macro.c.

Referenced by expandMacro(), and expandMacros().

MacroContext MacroBuf_s::mc

Definition at line 132 of file macro.c.

Referenced by doDefine(), expandMacro(), expandMacros(), freeArgs(), grabArgs(), and rpmDefineMacro().

size_t MacroBuf_s::nb

No. bytes remaining in expansion buffer.

Definition at line 125 of file macro.c.

Referenced by doShellEscape(), expandMacro(), expandMacros(), and expandU().

const char* MacroBuf_s::s

Text to expand.

Definition at line 122 of file macro.c.

Referenced by expandMacro(), expandMacros(), expandT(), and expandU().

void* MacroBuf_s::spec

(future) file expansion info?.

Definition at line 130 of file macro.c.

Referenced by expandMacros().

char* MacroBuf_s::t

Expansion buffer.

Definition at line 124 of file macro.c.

Referenced by doShellEscape(), expandMacro(), expandMacros(), and expandU().

The documentation for this struct was generated from the following file:

- rpmio/macro.c